Search and filter Wallet Pass Locations
curl --request GET \
--url https://api.ubpass.co/v1/wallet-pass-location \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ubpass.co/v1/wallet-pass-location"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ubpass.co/v1/wallet-pass-location', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "1f089d37-5ebe-6778-af59-99631cec7ab5",
"createdTime": "2025-09-04T21:09:36.027Z",
"updatedTime": "2025-09-04T21:11:01.734Z",
"createdBy": "1ef58ae6-40ac-6fd2-96af-45801844c4e2",
"updatedBy": "1ef58ae6-40ac-6fd2-96af-45801844c4e2",
"workspaceId": "1f089d29-6f9c-66c2-af59-99631cec7ab5",
"accountId": "1f089d29-6fa8-6a13-af59-99631cec7ab5",
"name": "TORONTO MALL LOCATION",
"enabled": true,
"latitude": 43.798327702071944,
"longitude": -79.24175240232819,
"relevantText": "Welcome to Toronto Premium Outlets",
"walletPass": {
"id": "1f07ee39-d750-6276-aff4-07a599527878"
}
}
],
"cursor": "1f089d37-5ebe-6778-af59-99631cec7ab5",
"hasMore": false
}{
"txId": "Root=1-68d3693c-26a3db2278c7668f5e086711",
"timestamp": "24-09-2025 03:45:00",
"errorCode": "UNAUTHORIZED",
"errorMessage": "UNAUTHORIZED."
}Passport - Locations
Search and filter Wallet Pass Locations
Search and retrieve Wallet Pass Locations with optional filtering and pagination.
Features:
- Search locations by name using keyword query (case-insensitive)
- Filter by specific location ID or name
- Filter by wallet pass serial numbers
- Pagination support with cursor-based navigation
Pagination:
- Use
cursorparameter for next page navigation limitcontrols page size (default: 20, max: 20)- Response includes
itemsarray,cursor, andhasMorefields
GET
/
wallet-pass-location
Search and filter Wallet Pass Locations
Authorizations
AccessTokenAPIKey
Bearer token authentication
Headers
Workspace ID to perform the operation in. If not provided, system will use the first one assigned to the user
Pattern:
^[a-zA-Z0-9-_]+$Query Parameters
Search keyword to filter locations by name (case-insensitive)
Maximum string length:
255Exact search by location name (case-sensitive)
Maximum string length:
255Pagination cursor for fetching the next set of results. Use the 'cursor' value from the previous response.
Number of locations to return per page (1-20, max 20)
Required range:
1 <= x <= 20Filter locations by wallet pass serial numbers. Multiple values allowed.
Pattern:
^[a-zA-Z0-9-_]+$Filter by location ID list
Filter by specific location ID